sc::ExEnv(3)

NAME
sc::ExEnv - The ExEnv class is used to find out about how the program is being run.

SYNOPSIS

#include <exenv.h>

  Static Public Methods
void init (int &argcref, char **&argvref)
Set the argument count and vector.
int initialized ()
Return nonzero if ExEnv has been initialized.
int & argc ()
Return an reference to the argument count.
char **& argv ()
Return an reference to the argument vector.
const char * program_name ()
Return argv[0] with the path removed.
const char * hostname ()
Return the host name.
const char * username ()
Return the user name.
void set_out (std::ostream *o)
std::ostream & outn ()
Return an ostream that writes from all nodes.
std::ostream & errn ()
Return an ostream for error messages that writes from all nodes.
std::ostream & out0 ()
Return an ostream that writes from node 0.
std::ostream & err0 ()
Return an ostream for error messages that writes from node 0.
size_t memory ()
The amount of memory on this node.
int nproc ()
The number of processors on this node.

  Static Protected Attributes
int initialized_
int * argc_
char *** argv_
char hostname_ [256]
char username_ [9]
size_t mem_
int nproc_
std::ostream * out_
std::ostream * nullstream_

DETAILED DESCRIPTION

The ExEnv class is used to find out about how the program is being run.

AUTHOR

Generated automatically by Doxygen for MPQC from the source code.